export default [
  {
    path: '/home',
    meta: { title: '首页', icon: 'home' },
  },
  {
    meta: { title: '题目管理', icon: 'user' },
    path: '/examQuestionManagement',
    children: [
      {
        path: '/examQuestionManagement/list',
        meta: { title: '题目列表', icon: 'user' },
      },
      {
        meta: { title: '新建题目', icon: 'user' },
        path: '/examQuestionManagement/create',
        children: [
          {
            path: '/examQuestionManagement/create/singleChoice',
            meta: { title: '单选题', icon: 'user' },
          },
          {
            path: '/examQuestionManagement/create/multipleChoice',
            meta: { title: '多选题', icon: 'user' },
          },
          {
            path: '/examQuestionManagement/create/trueOrFalse',
            meta: { title: '判断题', icon: 'user' },
          },
          {
            path: '/examQuestionManagement/create/gapFilling',
            meta: { title: '填空题', icon: 'user' },
          },
        ],
      },
    ],
  },
  {
    meta: { title: '考试管理', icon: 'user' },
    path: '/examManagement',
    children: [
      {
        path: '/examManagement/list',
        meta: { title: '考试列表', icon: 'user' },
      },
      {
        path: '/examManagement/detail',
        meta: { title: '考试详情', icon: 'user' },
      },
      {
        meta: { title: '新建考试', icon: 'user' },
        path: '/examManagement/create',
        children: [
          {
            path: '/examManagement/manualVolumeFormation',
            meta: { title: '手动组卷', icon: 'user' },
          },
          {
            path: '/examManagement/automaticVolumeFormation',
            meta: { title: '自动组卷', icon: 'user' },
          },
        ],
      },
    ],
  },
  {
    meta: { title: '文章管理', icon: 'user' },
    children: [
      {
        path: '/articleManagement/list',
        meta: { title: '文章列表', icon: 'user' },
      },
      {
        path: '/articleManagement/create',
        meta: { title: '新建文章', icon: 'user' },
      }
    ],
  },
];
